package mhp.oee.po.gen;

import java.util.Date;

public class ReasonCodeResStatePO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_res_state.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_res_state.REASON_CODE_BO
     *
     * @mbggenerated
     */
    private String reasonCodeBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_res_state.RESOURCE_STATE_BO
     *
     * @mbggenerated
     */
    private String resourceStateBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_res_state.STRT
     *
     * @mbggenerated
     */
    private String strt;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_res_state.START_DATE_TIME
     *
     * @mbggenerated
     */
    private Date startDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_res_state.END_DATE_TIME
     *
     * @mbggenerated
     */
    private Date endDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_res_state.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_res_state.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_res_state.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_res_state.HANDLE
     *
     * @return the value of reason_code_res_state.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_res_state.HANDLE
     *
     * @param handle the value for reason_code_res_state.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_res_state.REASON_CODE_BO
     *
     * @return the value of reason_code_res_state.REASON_CODE_BO
     *
     * @mbggenerated
     */
    public String getReasonCodeBo() {
        return reasonCodeBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_res_state.REASON_CODE_BO
     *
     * @param reasonCodeBo the value for reason_code_res_state.REASON_CODE_BO
     *
     * @mbggenerated
     */
    public void setReasonCodeBo(String reasonCodeBo) {
        this.reasonCodeBo = reasonCodeBo == null ? null : reasonCodeBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_res_state.RESOURCE_STATE_BO
     *
     * @return the value of reason_code_res_state.RESOURCE_STATE_BO
     *
     * @mbggenerated
     */
    public String getResourceStateBo() {
        return resourceStateBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_res_state.RESOURCE_STATE_BO
     *
     * @param resourceStateBo the value for reason_code_res_state.RESOURCE_STATE_BO
     *
     * @mbggenerated
     */
    public void setResourceStateBo(String resourceStateBo) {
        this.resourceStateBo = resourceStateBo == null ? null : resourceStateBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_res_state.STRT
     *
     * @return the value of reason_code_res_state.STRT
     *
     * @mbggenerated
     */
    public String getStrt() {
        return strt;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_res_state.STRT
     *
     * @param strt the value for reason_code_res_state.STRT
     *
     * @mbggenerated
     */
    public void setStrt(String strt) {
        this.strt = strt == null ? null : strt.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_res_state.START_DATE_TIME
     *
     * @return the value of reason_code_res_state.START_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getStartDateTime() {
        return startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_res_state.START_DATE_TIME
     *
     * @param startDateTime the value for reason_code_res_state.START_DATE_TIME
     *
     * @mbggenerated
     */
    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_res_state.END_DATE_TIME
     *
     * @return the value of reason_code_res_state.END_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getEndDateTime() {
        return endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_res_state.END_DATE_TIME
     *
     * @param endDateTime the value for reason_code_res_state.END_DATE_TIME
     *
     * @mbggenerated
     */
    public void setEndDateTime(Date endDateTime) {
        this.endDateTime = endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_res_state.CREATED_DATE_TIME
     *
     * @return the value of reason_code_res_state.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_res_state.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for reason_code_res_state.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_res_state.MODIFIED_DATE_TIME
     *
     * @return the value of reason_code_res_state.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_res_state.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for reason_code_res_state.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_res_state.MODIFIED_USER
     *
     * @return the value of reason_code_res_state.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_res_state.MODIFIED_USER
     *
     * @param modifiedUser the value for reason_code_res_state.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}